@use '@experiments-labs/rise_ui/src/stylesheets/core';

.gpa-shared-garden {
  display: flex;
  height: calc(var(--garden-view-height) - var(--footer-height));

  &__map {
    position: relative;
    flex-grow: 1;
    background-image: var(--background-checked);
  }

  &__panel {
    display: none;

    @include core.respond-to('medium-up') {
      display: flex;
    }

    &.gpa-shared-garden__panel--force-visible {
      display: flex;
    }
  }

  &__panel-trigger {
    position: fixed;
    z-index: var(--z-index-modal);
    bottom: var(--spacer-large);
    left: 50%;
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: var(--background-color);
    box-shadow: 0 0 20px -5px black;
    transform: translateX(-50%);

    > span,
    .rui-icon {
      width: 30px;
      height: 30px;
      margin: 0;
    }

    @include core.respond-to('medium-up') {
      display: none;
    }
  }
}
